import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from '@/store'
import modules from './modules'
import beforeEnter from '@/utils/beforeEnter'
import useWXShare from '@/utils/wx'

// 公共css
import '@/assets/css/base.css'
import './assets/rem/rem.js'

// Element-UI
import ElementUI from 'element-ui'
import '@/assets/theme/index.css'

// vant
import Vant from 'vant'
import 'vant/lib/index.css'
Vue.use(ElementUI)
Vue.use(Vant)

// 注册模块
modules({ router, store })

router.beforeEach(beforeEnter)

// const originalPush = Router.prototype.push

// Router.prototype.push = function push(location) {
//   return originalPush.call(this, location).catch(err => err)
// }

useWXShare()

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
