const allFormList = [
  {
    type: 'input',
    name: '姓名',
    placeholder: '请输入姓名',
    required: true,
    key: 'name',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '电话',
    placeholder: '请输入电话',
    required: true,
    key: 'mobile',
    value: '',
    enable_edit: true,
    inputType: 'tel',
    trigger: 'onBlur',
    msg: '请输入正确的手机号',
    pattern: /^1(3|4|7|5|8)([0-9]{9})/
  },
  {
    type: 'radio',
    name: '性别',
    key: 'gender',
    required: true,
    value: '0',
    enable_edit: true,
    optionList: [
      { id: '0', option: '未知' },
      { id: '1', option: '男' },
      { id: '2', option: '女' }
    ],
    trigger: 'onChange',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '邮箱',
    placeholder: '请输入邮箱',
    required: true,
    key: 'email',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '请输入正确的邮箱',
    pattern: /[\d\w]+\b@[a-zA-ZA-z0-9]+\.[a-z]+/g
  },
  {
    type: 'input',
    name: '公司',
    placeholder: '请输入公司',
    required: true,
    key: 'company',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '职位',
    placeholder: '请输入职位',
    required: true,
    key: 'position',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '身份证号码',
    placeholder: '请输入身份证号码',
    required: true,
    key: 'id_number',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '请输入正确的身份证号码',
    pattern: /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/
  },
  {
    type: 'input',
    name: '编号',
    placeholder: '请输入编号',
    required: true,
    key: 'number',
    value: '',
    enable_edit: true,
    inputType: 'number',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '国籍',
    placeholder: '请输入国籍',
    required: true,
    key: 'country',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '省份',
    placeholder: '请输入省份',
    required: true,
    key: 'provinces',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '城市',
    placeholder: '请输入城市',
    required: true,
    key: 'city',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '住址',
    placeholder: '请输入住址',
    required: true,
    key: 'address',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '项目部',
    placeholder: '请输入项目部',
    required: true,
    key: 'fixed_telephone',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '请输入正确的项目部',
    pattern: ''
  },
  {
    type: 'input',
    name: '行业',
    placeholder: '请输入行业',
    required: true,
    key: 'industry',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: 'QQ',
    placeholder: '请输入QQ',
    required: true,
    key: 'qq',
    value: '',
    enable_edit: true,
    inputType: 'number',
    trigger: 'onBlur',
    msg: ''
  },
  {
    type: 'input',
    name: '微信',
    placeholder: '请输入微信',
    required: true,
    key: 'wechat',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '钉钉',
    placeholder: '请输入钉钉',
    required: true,
    key: 'ding',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '微博',
    placeholder: '请输入微博',
    required: true,
    key: 'weibo',
    value: '',
    enable_edit: true,
    inputType: '',
    msg: '',
    trigger: 'onBlur',
    pattern: ''
  },
  {
    type: 'select',
    name: '座谈',
    key: 'breakfast',
    placeholder: '请选择',
    value: '',
    required: true,
    optionList: ['是', '否'],
    showPicker: false,
    enable_edit: true,
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'select',
    name: '房型',
    key: 'room_type',
    placeholder: '请选择房型',
    required: true,
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onChange',
    optionList: ['单住', '合住', '不住'],
    showPicker: false,
    msg: '',
    pattern: ''
  },
  {
    type: 'datetime',
    name: '入住时间',
    key: 'check_in_time',
    placeholder: '请选择入住时间',
    required: true,
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onChange',
    optionList: [],
    showPicker: false,
    msg: '',
    pattern: ''
  },
  {
    type: 'datetime',
    name: '离店时间',
    key: 'check_out_time',
    placeholder: '请选择离店时间',
    required: true,
    value: '',
    enable_edit: true,
    inputType: '',
    optionList: [],
    showPicker: false,
    trigger: 'onChange',
    msg: '',
    pattern: ''
  },
  {
    type: 'input',
    name: '备注',
    placeholder: '请输入备注',
    required: true,
    key: 'remark',
    value: '',
    enable_edit: true,
    inputType: '',
    trigger: 'onBlur',
    msg: '',
    pattern: ''
  },
  {
    type: 'radio',
    name: '是否参加项目现场观摩',
    key: 'need_scene',
    required: true,
    value: '0',
    enable_edit: true,
    optionList: [
      { id: '0', option: '否' },
      { id: '1', option: '是' }
    ],
    trigger: 'onChange',
    msg: '',
    pattern: ''
  }
]
export default allFormList
